#version 330 core
in vec3 position;
in vec3 normal;

out vec3 Normal;
out vec3 Position;

uniform mat4 model;
uniform mat4 t_i_model;
uniform mat4 proj;
uniform mat4 view_proj;

void main()
{
    gl_Position = view_proj * model * vec4(position, 1.0f);
	Normal = mat3(t_i_model) * normal;
    Position = vec3(model * vec4(position, 1.0f));
}  